import { Injector, OnDestroy } from '@angular/core';
import { Viewport } from '@wm/core';
import { StylableComponent } from '../base/stylable.component';
import * as i0 from "@angular/core";
export declare class PartialDirective extends StylableComponent implements OnDestroy {
    private viewport;
    static initializeProps: void;
    constructor(inj: Injector, viewport: Viewport, explicitContext: any);
    private callback;
    ngOnAttach(): void;
    ngOnDetach(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PartialDirective, [null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PartialDirective, "[wmPartial]", never, {}, {}, never, never, false, never>;
}
